/*	Filename:Main.h								*/
/************************************************/
/*												*/
/*		tt@CeiXc[		*/
/*												*/
/*				CtH[W[		*/
/*												*/
/*					Ver.6.00  					*/
/*												*/
/*		Copyright 1999-2002 by DELTA SOFT		*/
/*												*/
/************************************************/

/*----------------------------------------------*/
/*							`					*/
/*----------------------------------------------*/

#ifndef mainH
#define mainH

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include "FileInfo.h"

/*----------------------------------------------*/
/*					֐						*/
/*----------------------------------------------*/

bool __fastcall	JumpURL(AnsiString URL);
bool __fastcall	OpenURL(AnsiString URL);

/*----------------------------------------------*/
/*				TFormMainNX					*/
/*----------------------------------------------*/

class TFormMain : public TForm
{
__published:	// IDE Ǘ̃R|[lg
	TStringGrid *SGridInfo;
	TMainMenu *MainMenu;
	TMenuItem *MenuFile;
	TMenuItem *MenuExit;
	TStatusBar *StatusBar;
	TMenuItem *MenuEdit;
	TMenuItem *MenuDelete;
	TPopupMenu *PopupMenu;
	TMenuItem *PopupDelete;
	TMenuItem *PopupSort;
	TMenuItem *PopupSortFile;
	TMenuItem *PopupSortTitle;
	TMenuItem *PopupSortArtist;
	TMenuItem *PopupSortLength;
	TMenuItem *PopupSortCD;
	TMenuItem *MenuSort;
	TMenuItem *MenuSortFile;
	TMenuItem *MenuSortTitle;
	TMenuItem *MenuSortArtist;
	TMenuItem *MenuSortLength;
	TMenuItem *MenuSortCD;
	TMenuItem *PopupSortFileType;
	TMenuItem *MenuSortFileType;
	TMenuItem *N1;
	TMenuItem *MenuRegistDSMP;
	TMenuItem *N2;
	TMenuItem *MenuDeleteWave;
	TMenuItem *PopupPlay;
	TMenuItem *N3;
	TMenuItem *N4;
	TMenuItem *MenuPlay;
	TMenuItem *N6;
	TMenuItem *MenuEditLyrics;
	TMenuItem *N7;
	TMenuItem *PopupEditLyrics;
	TMenuItem *MenuFind;
	TMenuItem *N5;
	TMenuItem *MenuFindNext;
	TMenuItem *PopupFind;
	TMenuItem *MenuHelps;
	TMenuItem *MenuHelp;
	TMenuItem *MenuAbout;
	TMenuItem *MenuHomePage;
	TMenuItem *N8;
	TMenuItem *N9;
	TMenuItem *MenuDeleteNonArtist;
	void __fastcall MenuExitClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall SGridInfoMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall SGridInfoSelectCell(TObject *Sender, int ACol, int ARow,
          bool &CanSelect);
	void __fastcall MenuSortFileClick(TObject *Sender);
	void __fastcall MenuSortFileTypeClick(TObject *Sender);
	void __fastcall MenuSortTitleClick(TObject *Sender);
	void __fastcall MenuSortArtistClick(TObject *Sender);
	void __fastcall MenuSortLengthClick(TObject *Sender);
	void __fastcall MenuSortCDClick(TObject *Sender);
	void __fastcall SGridInfoSetEditText(TObject *Sender, int ACol, int ARow,
          const AnsiString Value);
	void __fastcall SGridInfoExit(TObject *Sender);
	void __fastcall SGridInfoKeyPress(TObject *Sender, char &Key);
	void __fastcall MenuDeleteClick(TObject *Sender);
	void __fastcall MenuRegistDSMPClick(TObject *Sender);
	void __fastcall MenuDeleteWaveClick(TObject *Sender);
	void __fastcall MenuPlayClick(TObject *Sender);
	void __fastcall MenuEditLyricsClick(TObject *Sender);
	void __fastcall MenuFindClick(TObject *Sender);
	void __fastcall MenuFindNextClick(TObject *Sender);
	void __fastcall MenuHelpClick(TObject *Sender);
	void __fastcall MenuAboutClick(TObject *Sender);
	void __fastcall MenuHomePageClick(TObject *Sender);
	void __fastcall MenuDeleteNonArtistClick(TObject *Sender);

private:	// [U[錾
	TFileList*		FileList;
	TCDList*		CDList;
	int				FEditCol;
	int				FEditRow;
	TStringList*	FFindList;
	bool			FFindFileName;
	bool			FFindTitle;
	bool			FFindArtist;
	bool			FFindLyrics;
	int				FFindStart;
	bool			FFindBegin;

public:		// [U[錾
	__fastcall TFormMain(TComponent* Owner);
	void __fastcall	Created(void);
	void __fastcall	InfoToGrid(void);
	void __fastcall Save(void);
};

/*----------------------------------------------*/
/*				O[oϐ					*/
/*----------------------------------------------*/

extern	int			Version;
extern	AnsiString	HomePage;
extern PACKAGE TFormMain *FormMain;

#endif

/*****	End	*****/