/*	Filename:Main.cpp							*/
/************************************************/
/*												*/
/*		tt@CeiXc[		*/
/*												*/
/*				CtH[W[		*/
/*												*/
/*					Ver.6.00  					*/
/*												*/
/*		Copyright 1999-2002 by DELTA SOFT		*/
/*												*/
/************************************************/

/*----------------------------------------------*/
/*							`					*/
/*----------------------------------------------*/

#include <vcl.h>
#include <Registry.hpp>
#include <shellapi.h>
#pragma hdrstop

#include "FindFile.h"
#include "WaitCur.h"
#include "main.h"
#include "Find.h"
#include "About.h"

#pragma package(smart_init)
#pragma resource "*.dfm"

#ifndef	then
#define	then
#endif
#ifndef	AND
#define	AND	&&
#endif
#ifndef	OR
#define	OR	||
#endif

/*----------------------------------------------*/
/*				O[oϐ					*/
/*----------------------------------------------*/

int			Version=6003;
AnsiString	HomePage="http://www.deltasoft.jp/";
TFormMain*	FormMain;

/*----------------------------------------------*/
/*					֐						*/
/*----------------------------------------------*/

/*****	URLփWv	*****/

bool __fastcall	JumpURL(AnsiString URL)
{
		int			n;
		AnsiString	S,s;
		TRegistry	*Reg=new TRegistry();

		Reg->RootKey=HKEY_CLASSES_ROOT;
		if (Reg->OpenKey(".htm",false)==false)
		then {
			delete	Reg;
			return(false);
		}
		try {
			S=Reg->ReadString("");
		}
		catch(...)
		{
			Reg->CloseKey();
			delete	Reg;
			return(false);
		}
		Reg->CloseKey();
		s=S+"\\shell\\opennew";
		if (Reg->OpenKey(s,false)==false)
		then {
			s=S+"\\shell\\open";
			if (Reg->OpenKey(s,false)==false)
			then {
				delete	Reg;
				return(false);
			}
		}
		Reg->CloseKey();
		S=s+"\\command";
		if (Reg->OpenKey(S,false)==false)
		then {
			delete	Reg;
			return(false);
		}
		try {
			S=Reg->ReadString("");
		}
		catch(...)
		{
			Reg->CloseKey();
			delete	Reg;
			return(false);
		}
		Reg->CloseKey();
		delete	Reg;

		if (S.IsEmpty())
		then	return(false);
		n=S.AnsiPos("\"%1\"");
		if (n==0)
		then n=S.AnsiPos("%1");
		if (n)
		then	S.SetLength(n-1);
		S+=" ";
		S+=URL;
		if (WinExec(S.c_str(),SW_SHOW)<=31)
		then	return(false);

	return(true);
}

/*****	URLJ	*****/

bool __fastcall	OpenURL(AnsiString URL)
{
	if (JumpURL(URL)==false)
	then {
		if ((int)::ShellExecute(NULL,"opennew",URL.c_str(),NULL,NULL,SW_SHOW)>32)
		then	return(true);

		if ((int)::ShellExecute(NULL,"open",URL.c_str(),NULL,NULL,SW_SHOW)>32)
		then	return(true);
	}

	return(false);
}

/*----------------------------------------------*/
/*				TFormMainNX					*/
/*----------------------------------------------*/

/*****	RXgN^	*****/

__fastcall TFormMain::TFormMain(TComponent* Owner)
	: TForm(Owner)
{
	GetDSMPPath();

	AnsiString	S="DSMP INF  tt@CeiXc[  Ver.";
	S+=FormatFloat("##.000",(double)Version/1000.0);
	Caption=S;

	SGridInfo->Rows[0]->CommaText="File,Title,Artist,Lyrics,Adjust,Length,CD,Track";
	SGridInfo->ColWidths[0]=100;
	SGridInfo->ColWidths[1]=100;
	SGridInfo->ColWidths[2]=100;
	SGridInfo->ColWidths[3]=100;
	SGridInfo->ColWidths[4]=40;
	SGridInfo->ColWidths[5]=50;
	SGridInfo->ColWidths[6]=80;
	SGridInfo->ColWidths[7]=34;

	FileList=new TFileList();
	CDList=new TCDList();

	FFindFileName=true;
	FFindTitle=true;
	FFindArtist=true;
	FFindLyrics=true;
	FFindList=new TStringList();
}

/*****	tH[쐬ꂽ	*****/

void __fastcall	TFormMain::Created(void)
{
	if (DSMPPath.IsEmpty())
	then {
		MessageDlg("DSMPCXg[Ă܂",mtError,TMsgDlgButtons()<<mbOK,0);
		Close();
		return;
	}

	dsWaitCursor	wcsr;

	StatusBar->SimpleText="t@C擾";
	Application->ProcessMessages();

	CDList->Load();
	FileList->Load();

	InfoToGrid();
}

/*****	t@C񁨕\	*****/

void __fastcall	TFormMain::InfoToGrid(void)
{
	dsWaitCursor	wcsr;
	TPlayFileInfo	*Info;
	AnsiString		S;
	int				i,n,m,s;

	SGridInfo->RowCount=FileList->Count+1;
	S=FileList->Count;
	S+=" Files";
	StatusBar->SimpleText=S;
	for(i=0;	i<FileList->Count;	i++)
	{
		Info=FileList->Items[i];
		SGridInfo->Cells[0][i+1]=Info->FileName;
		SGridInfo->Cells[1][i+1]=Info->Title;
		SGridInfo->Cells[2][i+1]=Info->Artist;
		SGridInfo->Cells[3][i+1]=Info->Lyrics;
		SGridInfo->Cells[4][i+1]=Info->AdjustLyrics;
		m=Info->Length / 1000;
		s=m % 60;
		m=m / 60;
		n=Info->Length % 1000;
		SGridInfo->Cells[5][i+1]=Format("%2d:%.2d:%.3d",OPENARRAY(TVarRec,((m),(s),(n))));
		if (Info->CD)
		then	SGridInfo->Cells[6][i+1]=CDList->Title[Info->CD];
		else	SGridInfo->Cells[6][i+1]="";
		if (Info->Track)
		then	SGridInfo->Cells[7][i+1]=Info->Track;
		else	SGridInfo->Cells[7][i+1]="";
	}
	FEditCol=-1;
	FEditRow=-1;
}

/*****	CloseCxg	*****/

void __fastcall TFormMain::FormClose(TObject *Sender, TCloseAction &Action)
{
	delete	FFindList;
	delete	CDList;
	delete	FileList;
}

/*****	I	*****/

void __fastcall TFormMain::MenuExitClick(TObject *Sender)
{
	Close();
}

/*****	ZŃ}EX{^	*****/

void __fastcall TFormMain::SGridInfoMouseDown(TObject *Sender,
	  TMouseButton Button, TShiftState Shift, int X, int Y)
{
	int		ACol,ARow;

	SGridInfo->MouseToCell(X,Y,ACol,ARow);
	if ((ACol>=0) AND (ARow>=0))
	then {
		if (ARow<1)
		then	ARow=1;
		SGridInfo->Col=ACol;
		SGridInfo->Row=ARow;
	}
}

/*****	Z̑I	*****/

void __fastcall TFormMain::SGridInfoSelectCell(TObject *Sender, int ACol,
	  int ARow, bool &CanSelect)
{
	if (FEditRow)
	then	SGridInfoExit(Sender);

	if (ARow==0)
	then	CanSelect=false;
	else {
		CanSelect=true;
		if (ACol>=5)
		then	SGridInfo->Options>>goEditing;
		else	SGridInfo->Options<<goEditing;
	}
}

/*****	ZҏW	*****/

void __fastcall TFormMain::SGridInfoSetEditText(TObject *Sender, int ACol,
	  int ARow, const AnsiString Value)
{
	FEditRow=ARow;
	FEditCol=ACol;
}

/*****	ZŃL[	*****/

void __fastcall TFormMain::SGridInfoKeyPress(TObject *Sender, char &Key)
{
	if ((Key==0x0D) AND (FEditRow>=1))
	then	SGridInfoExit(Sender);
}

/*****	ObhtH[JX	*****/

void __fastcall TFormMain::SGridInfoExit(TObject *Sender)
{
	if ((FEditCol<0) OR (FEditRow<1))
	then	return;

	TPlayFileInfo	*Info=FileList->Items[FEditRow-1];
	AnsiString		S=SGridInfo->Cells[FEditCol][FEditRow];

	switch(FEditCol)
	{
		case 0:
			Info->FileName=S;
			break;
		case 1:
			Info->Title=S;
			break;
		case 2:
			Info->Artist=S;
			break;
		case 3:
			Info->Lyrics=S;
			break;
		case 4:
			Info->AdjustLyrics=S.ToIntDef(0);
			break;
	}
	Info->Write();

	FEditCol=-1;
	FEditRow=-1;
}

/*****	Đ	*****/
/*
DSMPt@CtċN鎖ōĐĂ܂B
A΃pXw肵ĂȂ̂ŁAt@CDSMPɂ܂Ă܂B
DSMP̂̑̃vpeB̉tt@CfBNg܂B
*/
void __fastcall TFormMain::MenuPlayClick(TObject *Sender)
{
	if (SGridInfo->Row>=1)
	then {
		AnsiString	S=FileList->Items[SGridInfo->Row-1]->FileName;

		::ShellExecute(Handle,NULL,DSMPPath.c_str(),S.c_str(),NULL,SW_SHOWNORMAL);
	}
}

/*****	DSMPɓo^	*****/

void __fastcall TFormMain::MenuRegistDSMPClick(TObject *Sender)
{
	AnsiString	S=ExtractFileDir(DSMPPath);
	S+="\\DSMP.INI";

	TIniFile	*File=new TIniFile(S);

	File->DeleteKey("Tool","DSMP-INF");								//Ver.1.300
	File->WriteString("Tool","DSMP INF",Application->ExeName);

//	S="\"";
//	S+=Application->ExeName;
//	S+="\" /DSMP";
//	File->WriteString("Tool","DSMP INF",S);			//̂悤ɃIvVXCb`t邱Ƃ

	delete	File;

	HWND	hwnd=::FindWindow("TFormDSMP",NULL);
	if (hwnd==0)
	then	hwnd=::FindWindow("TDsmpForm",NULL);
	if (hwnd)
	then	::PostMessage(hwnd,WM_DSMP,(WPARAM)DSMP_SETTOOL,0);		//b@\iVer.4ŐJ\j
}

/*****	̎t@CҏW	*****/

void __fastcall TFormMain::MenuEditLyricsClick(TObject *Sender)
{
	if (SGridInfo->Row<1)
	then	return;

	AnsiString	Lyr=FileList->Items[SGridInfo->Row-1]->Lyrics;

	if (Lyr.IsEmpty())
	then	return;

	AnsiString	BasePath;
	AnsiString	Editor;
	AnsiString	S=ChangeFileExt(DSMPPath,".ini");

	TIniFile	*File=new TIniFile(S);

	BasePath=File->ReadString("DSMP","LyricsDir","");
	Editor=File->ReadString("DSMP","Editor","");

	delete	File;

	Lyr=AbsPath(Lyr,BasePath);					//΃pX̎擾

	if (Editor.IsEmpty())						//Editor̎w肪Ȃ΃ŊJ
	then {
		Editor=GetWindowsDir();
		Editor+="\\notepad.exe";
	}

	::ShellExecute(Handle,NULL,Editor.c_str(),Lyr.c_str(),NULL,SW_SHOWNORMAL);
}

/*****	폜	*****/

void __fastcall TFormMain::MenuDeleteClick(TObject *Sender)
{
	if ((SGridInfo->Col>=0) AND (SGridInfo->Row>=1))
	then {
		FileList->Delete(SGridInfo->Row-1);
		InfoToGrid();
	}
}

/*****	Wavet@C폜	*****/

void __fastcall TFormMain::MenuDeleteWaveClick(TObject *Sender)
{
	::MessageBeep(MB_ICONQUESTION);
	if (MessageDlg("Wavet@C̏폜܂B\n낵łH",mtConfirmation,TMsgDlgButtons()<<mbOK<<mbCancel,0) != mrOk)
	then	return;

	dsWaitCursor	wcsr;
	AnsiString		Ext;
	AnsiString		Name;
	int				i;

	StatusBar->SimpleText="Deleting WaveFile";

	for(i=FileList->Count-1;	i>=0;	i--)
	{
		Name=FileList->Items[i]->FileName;
		Ext=AnsiLowerCase(ExtractFileExt(Name));
		if ((Ext==".wav") OR (Ext==".wave"))
		then	FileList->Delete(i);
	}
	InfoToGrid();
}

/*****	A[eBXgݒ폜	*****/


void __fastcall TFormMain::MenuDeleteNonArtistClick(TObject *Sender)
{
	::MessageBeep(MB_ICONQUESTION);
	if (MessageDlg("A[eBXgݒ̏폜܂B\n낵łH",mtConfirmation,TMsgDlgButtons()<<mbOK<<mbCancel,0) != mrOk)
	then	return;

	dsWaitCursor	wcsr;
	int				i;

	for(i=FileList->Count-1;	i>=0;	i--)
	{
		if (FileList->Items[i]->Artist.IsEmpty())
		then {
			FileList->Delete(i);
		}
	}
	InfoToGrid();
}

/*****	t@C\[g	*****/

void __fastcall TFormMain::MenuSortFileClick(TObject *Sender)
{
	dsWaitCursor	wcsr;
	AnsiString	S;
	int		i,j,n,f;

	StatusBar->SimpleText="Sorting FileName";

	for(i=0;	i<FileList->Count-1;	i++)			//ou\[gƂ͌|ȂȂ
	{
		S=FileList->Items[i]->FileName;
		n=i;
		for(j=i+1;	j<FileList->Count;	j++)
		{
			f=S.AnsiCompareIC(FileList->Items[j]->FileName);
			if (f==0)
			then {
				f=FileList->Items[n]->Length-FileList->Items[j]->Length;
			}
			if (f>0)
			then {
				n=j;
				S=FileList->Items[j]->FileName;
			}
		}
		if (n != i)
		then {
			FileList->List->Exchange(i,n);
		}
	}
	Save();
	InfoToGrid();
}

/*****	t@C^Cv\[g	*****/

void __fastcall TFormMain::MenuSortFileTypeClick(TObject *Sender)
{
	dsWaitCursor	wcsr;
	AnsiString	S;
	AnsiString	Ext;
	AnsiString	Name;
	int		i,j,n,f;

	StatusBar->SimpleText="Sorting File Type";

	for(i=0;	i<FileList->Count-1;	i++)			//ou\[gƂ͌|ȂȂ
	{
		Name=FileList->Items[i]->FileName;
		Ext=ExtractFileExt(Name);
		n=i;
		for(j=i+1;	j<FileList->Count;	j++)
		{
			S=FileList->Items[j]->FileName;
			f=Ext.AnsiCompareIC(ExtractFileExt(S));
			if (f==0)
			then {
				f=Name.AnsiCompareIC(S);
				if (f==0)
				then {
					f=FileList->Items[n]->Length-FileList->Items[j]->Length;
				}
			}
			if (f>0)
			then {
				n=j;
				Name=S;
				Ext=ExtractFileExt(Name);
			}
		}
		if (n != i)
		then {
			FileList->List->Exchange(i,n);
		}
	}
	Save();
	InfoToGrid();
}

/*****	^Cg\[g	*****/

void __fastcall TFormMain::MenuSortTitleClick(TObject *Sender)
{
	dsWaitCursor	wcsr;
	AnsiString	S;
	AnsiString	Title;
	int		i,j,n,f;

	StatusBar->SimpleText="Sorting Title";

	for(i=0;	i<FileList->Count-1;	i++)			//ou\[gƂ͌|ȂȂ
	{
		Title=FileList->Items[i]->Title;
		n=i;
		for(j=i+1;	j<FileList->Count;	j++)
		{
			S=FileList->Items[j]->Title;
			f=Title.AnsiCompareIC(S);
			if (f==0)
			then {
				f=FileList->Items[n]->Length-FileList->Items[j]->Length;
			}
			if (f>0)
			then {
				n=j;
				Title=S;
			}
		}
		if (n != i)
		then {
			FileList->List->Exchange(i,n);
		}
	}
	Save();
	InfoToGrid();
}

/*****	A[eBXg\[g	*****/

void __fastcall TFormMain::MenuSortArtistClick(TObject *Sender)
{
	dsWaitCursor	wcsr;
	AnsiString	S;
	AnsiString	Artist;
	int		i,j,n,f;

	StatusBar->SimpleText="Sorting Artist";

	for(i=0;	i<FileList->Count-1;	i++)			//ou\[gƂ͌|ȂȂ
	{
		Artist=FileList->Items[i]->Artist;
		n=i;
		for(j=i+1;	j<FileList->Count;	j++)
		{
			S=FileList->Items[j]->Artist;
			f=Artist.AnsiCompareIC(S);
			if (f==0)
			then {
				f=FileList->Items[n]->Length-FileList->Items[j]->Length;
			}
			if (f>0)
			then {
				n=j;
				Artist=S;
			}
		}
		if (n != i)
		then {
			FileList->List->Exchange(i,n);
		}
	}
	Save();
	InfoToGrid();
}

/*****	Đԃ\[g	*****/

void __fastcall TFormMain::MenuSortLengthClick(TObject *Sender)
{
	dsWaitCursor	wcsr;
	int		Len;
	int		i,j,n;

	StatusBar->SimpleText="Sorting Length";

	for(i=0;	i<FileList->Count-1;	i++)			//ou\[gƂ͌|ȂȂ
	{
		Len=FileList->Items[i]->Length;
		n=i;
		for(j=i+1;	j<FileList->Count;	j++)
		{
			if (Len>FileList->Items[j]->Length)
			then {
				n=j;
				Len=FileList->Items[j]->Length;
			}
		}
		if (n != i)
		then {
			FileList->List->Exchange(i,n);
		}
	}
	Save();
	InfoToGrid();
}

/*****	CD\[g	*****/

void __fastcall TFormMain::MenuSortCDClick(TObject *Sender)
{
	dsWaitCursor	wcsr;
	AnsiString	S;
	int		Len;
	int		i,j,n,f;

	StatusBar->SimpleText="Sorting CD";

	for(i=0;	i<FileList->Count-1;	i++)			//ou\[gƂ͌|ȂȂ
	{
		Len=FileList->Items[i]->CD;
		n=i;
		for(j=i+1;	j<FileList->Count;	j++)
		{
			f=Len-FileList->Items[j]->CD;
			if (f==0)
			then {
				if (Len)
				then	f=FileList->Items[n]->Track-FileList->Items[j]->Track;
				else	f=FileList->Items[n]->Length-FileList->Items[j]->Length;
			}
			if (f>0)
			then {
				n=j;
				Len=FileList->Items[j]->CD;
			}
		}
		if (n != i)
		then {
			FileList->List->Exchange(i,n);
		}
	}
	InfoToGrid();
	Save();
}

/*****	Z[u	*****/

void __fastcall TFormMain::Save(void)
{
	dsWaitCursor	wcsr;
	int		i;

	StatusBar->SimpleText="Saving INF File";

	for(i=0;	i<FileList->Count;	i++)
	{
		FileList->Items[i]->InfNo=-1;
	}
	for(i=0;	i<CDList->Count;	i++)
	{
		CDList->Items[i]->InfNo=-1;
	}

	DeleteFileInf();
	CDList->Save();
	FileList->Save();
}

/*****		*****/

void __fastcall TFormMain::MenuFindClick(TObject *Sender)
{
	FormFind=new TFormFind(this);

	FormFind->ComboBoxFind->Items->Assign(FFindList);
	if (FFindList->Count)
	then	FormFind->ComboBoxFind->Text=FFindList->Strings[0];
	else	FormFind->ComboBoxFind->Text="";
	FormFind->CheckBoxFileName->Checked=FFindFileName;
	FormFind->CheckBoxTitle->Checked=FFindTitle;
	FormFind->CheckBoxArtist->Checked=FFindArtist;
	FormFind->CheckBoxLyrics->Checked=FFindLyrics;
	FormFind->RadioGroupStart->ItemIndex=FFindStart;

	int	Res=FormFind->ShowModal();

	AnsiString	S=FormFind->ComboBoxFind->Text;
	FFindFileName=FormFind->CheckBoxFileName->Checked;
	FFindTitle=FormFind->CheckBoxTitle->Checked;
	FFindArtist=FormFind->CheckBoxArtist->Checked;
	FFindLyrics=FormFind->CheckBoxLyrics->Checked;
	FFindStart=FormFind->RadioGroupStart->ItemIndex;

	delete	FormFind;

	if (Res==mrCancel)
	then	return;
	if (S.IsEmpty())
	then	return;
	if ((FFindFileName==false) AND (FFindTitle==false)
		AND (FFindArtist==false) AND (FFindLyrics==false))
	then	return;

	int	n=FFindList->IndexOf(S);
	if (n>=0)
	then	FFindList->Delete(n);
	FFindList->Insert(0,S);
	while(FFindList->Count>8)
	{
		FFindList->Delete(FFindList->Count-1);
	}

	if (FFindStart==0)
	then {
		FFindBegin=true;
		SGridInfo->Row=0;
		SGridInfo->Col=0;
	}
	else {
		FFindBegin=false;
	}
	if (!S.IsEmpty())
	then	MenuFindNextClick(this);
}

/*****		*****/

void __fastcall TFormMain::MenuFindNextClick(TObject *Sender)
{
	if (FFindList->Count==0)
	then {
		MenuFindClick(this);
		return;
	}

	AnsiString	S=AnsiLowerCase(FFindList->Strings[0]);
	AnsiString	s;

	if (S.IsEmpty())
	then {
		MenuFindClick(this);
		return;
	}

	StatusBar->SimpleText="Now Searching";

	int	Col=SGridInfo->Col;
	int	Row=SGridInfo->Row-1;

	if ((FFindBegin) OR (Row<0))
	then {
		  Row=0;
		  Col=0;
		  FFindBegin=false;
	}
	else {
		Col++;
		if (Col>=4)
		then {
			Col=0;
			Row++;
		}
	}
	int		n=0;

	for(;	Row<FileList->Count;	Row++)
	{
		for(;	Col<4;	Col++)
		{
			switch(Col)
			{
				case 0:
					if (FFindFileName)
					then {
						s=FileList->Items[Row]->FileName.LowerCase();
						n=s.AnsiPos(S);
						if (n)
						then	goto LBreak;
					}
					break;
				case 1:
					if (FFindTitle)
					then {
						s=FileList->Items[Row]->Title.LowerCase();
						n=s.AnsiPos(S);
						if (n)
						then	goto LBreak;
					}
					break;
				case 2:
					if (FFindArtist)
					then {
						s=FileList->Items[Row]->Artist.LowerCase();
						n=s.AnsiPos(S);
						if (n)
						then	goto LBreak;
					}
					break;
				case 3:
					if (FFindLyrics)
					then {
						s=FileList->Items[Row]->Lyrics.LowerCase();
						n=s.AnsiPos(S);
						if (n)
						then	goto LBreak;
					}
					break;
			}
		}
		Col=0;
	}
LBreak:
	if (n)
	then {
		SGridInfo->Col=Col;
		SGridInfo->Row=Row+1;
		n=Row-(SGridInfo->VisibleRowCount)/2;
		if ((n+SGridInfo->VisibleRowCount)>SGridInfo->RowCount)
		then	n=SGridInfo->RowCount-SGridInfo->VisibleRowCount;
		if (n<1)
		then	n=1;
		SGridInfo->TopRow=n;
	}

	S=FileList->Count;
	S+=" Files";
	StatusBar->SimpleText=S;
}

/*****	wv	*****/

void __fastcall TFormMain::MenuHelpClick(TObject *Sender)
{
	AnsiString	S=ChangeFileExt(Application->ExeName,".htm");

	::ShellExecute(Handle,NULL,S.c_str(),NULL,NULL,SW_SHOWNORMAL);
}

/*****	z[y[W	*****/

void __fastcall TFormMain::MenuHomePageClick(TObject *Sender)
{
	OpenURL(HomePage);
}

/*****	o[W	*****/

void __fastcall TFormMain::MenuAboutClick(TObject *Sender)
{
	FormAbout=new TFormAbout(this);

	FormAbout->ShowModal();

	delete	FormAbout;
}

/*****	End	*****/

